picard.vcf

## Class FixVcfHeader

- java.lang.Object
- - picard.cmdline.CommandLineProgram
  - - picard.vcf.FixVcfHeader

-     public class FixVcfHeader
      extends CommandLineProgram

  Tool for replacing or fixing up a VCF header.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `CHECK_FIRST_N_RECORDS`
    `boolean` | `ENFORCE_SAME_SAMPLES`
    `File` | `HEADER`
    `File` | `INPUT`
    `File` | `OUTPUT`

    - ### Fields inherited from class picard.cmdline.CommandLineProgram

      `COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, GA4GH_CLIENT_SECRETS, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, TMP_DIR, VALIDATION_STRINGENCY, VERBOSITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FixVcfHeader()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String[]` | `customCommandLineValidation()` Put any custom command-line validation in an override of this method.
    `protected int` | `doWork()` Do the work after command line has been parsed.
    `static void` | `main(String[] args)`

    - ### Methods inherited from class picard.cmdline.CommandLineProgram

      `getCommandLine, getCommandLineParser, getDefaultHeaders, getMetricsFile, getNestedOptions, getNestedOptionsForHelp, getStandardUsagePreamble, getVersion, instanceMain, instanceMainWithExit, parseArgs, setDefaultHeaders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INPUT

          @Option(shortName="I",
                  doc="The input VCF/BCF file.")
          public File INPUT

    - #### OUTPUT

          @Option(shortName="O",
                  doc="The output VCF/BCF file.")
          public File OUTPUT

    - #### CHECK_FIRST_N_RECORDS

          @Option(shortName="N",
                  doc="Check only the first N records when searching for missing INFO and FORMAT fields.",
                  optional=true)
          public int CHECK_FIRST_N_RECORDS

    - #### HEADER

          @Option(shortName="H",
                  doc="The replacement VCF header.",
                  optional=true)
          public File HEADER

    - #### ENFORCE_SAME_SAMPLES

          @Option(doc="Enforce that the samples are the same (and in the same order) when replacing the VCF header.",
                  optional=true)
          public boolean ENFORCE_SAME_SAMPLES

  - ### Constructor Detail

    - #### FixVcfHeader

          public FixVcfHeader()

  - ### Method Detail

    - #### main

          public static void main(String[] args)

    - #### customCommandLineValidation

          protected String[] customCommandLineValidation()

      Description copied from class: `CommandLineProgram`
      Put any custom command-line validation in an override of this method. clp is initialized at this point and can be used to print usage and access argv. Any options set by command-line parser can be validated.
      Overrides:
        `customCommandLineValidation` in class `CommandLineProgram`
      Returns:
        null if command line is valid. If command line is invalid, returns an array of error message to be written to the appropriate place.

    - #### doWork

          protected int doWork()

      Description copied from class: `CommandLineProgram`
      Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.
      Specified by:
        `doWork` in class `CommandLineProgram`
      Returns:
        program exit status.